Subject: Re: net: hix5hd2_gmac uninitialized net_device

From: Dongpo Li <[email-masked]>
Date: Fri, 17 Feb 2017 09:32:46 +0800

Hi Marty,

On 2017/2/17 2:45, Marty Plummer wrote:
> On Wed, Feb 15, 2017 at 02:18:14PM +0800, Dongpo Li wrote:
>> Hi Marty,
>>
>> On 2017/2/15 7:59, Marty Plummer wrote:
>>> On Mon, Feb 13, 2017 at 09:25:38AM +0800, Dongpo Li wrote:
>> Currently this driver can't support Hi3521a soc because of some new changes.
>> I don't know what's your purpose to run hix5hd2 driver on Hi3521a, please ask
>> the man who sells chips to you to raise your requirements.
>>
> Its not so much a matter of wanting to run the hix5hd2 driver on
> hi3521a, but running the hix5hd2 ip core driver on the same/similar ip
> core on hi3521a. This is fairly common in the arm world, and a number of
> drivers support multiple arm socs/ip cores, some from hisilicon in fact.
> For instance "hisilicon,fmc-spi-nor" supports both the hi3519 and the
> hi3521a.
> 
> Also, I'm not buying chips or boards from Hisilicon. I'm just working on
> some consumer electronics that happens to include a hisilicon soc and
> unreleased gpl code, working to improve it.
> 
I see. Thanks for your explanation.
I will add this thing to my schedule. But there are many development things
that disturb me, I can't give a detailed time, maybe one or two months later.

    Regards,
    Dongpo

.